<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    IPPANEL
*  @copyright 2020 ippanel
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
$phone_mobiles= $this->getPhoneMobiles(false);
$phone_mobiles_array = explode(';',$phone_mobiles);
$modal = '<div class="modal fade" id="ippanelModalnumbers">
	  <div class="modal-dialog">
		<div class="modal-content">
		  <div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
			<h4 class="modal-title">'.$this->l('Customer Numbers').'</h4>
		  </div>
		  <div class="modal-body">' . $phone_mobiles . '</div>
		</div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->';
$fields_form_send_all_customers = array(
	'form' => array(
		'legend' => array(
			'title' => $this->l('Send sms to customers'),
			'icon' => 'icon-paper-plane'
		),
		'description' => '<span data-toggle="modal" data-target="#ippanelModalnumbers">'.count($phone_mobiles_array).' '.$this->l('unique phone mobile(s) from customers is exist') . '</span>' .$modal,
		'input' => array(
			array(
				'type' => 'textarea',
				'label' => $this->l('Text Message:'),
				'name' => 'SENDALLTEXT',
				'class' => 'resizable',
				'desc' => $this->l('Type SMS text.'),
				'required' => true,
			),
			array(
				'type' => 'text',
				'label' => $this->l('Sms number:'),
				'name' => 'SENTOALLSENDERLINE',
				'class' => 'fixed-width-lg',
				'value' => '500010707',
				'desc' => $this->l('Which number should be used to send this sms. ex: +985000XXXXXXX'),
			),
			array(
				'type' => 'select',
				'label' => $this->l('Delay Time:'),
				'name' => 'SENTOALLDELAYTIME',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Send your SMS in minutes?'),
				'options' => array(
					'query' => array(
						array(
							'id' => 5,
							'name' => $this->l('After 5 Minutes')
						),
						array(
							'id' => 15,
							'name' => $this->l('After 15 Minutes')
						),
						array(
							'id' => 30,
							'name' => $this->l('After 30 Minutes')
						),
						array(
							'id' => 60,
							'name' => $this->l('After 1 hour')
						),
						array(
							'id' => 120,
							'name' => $this->l('After 2 hour')
						),
						array(
							'id' => 300,
							'name' => $this->l('After 5 hour')
						),
						array(
							'id' => 1440,
							'name' => $this->l('After 24 hour')
						)
					),
					'id' => 'id',
					'name' => 'name',
				)
			),
			array(
				'type' => 'text',
				'label' => $this->l('Number per once:'),
				'name' => 'SENTOALLPERONCE',
				'class' => 'fixed-width-lg',
				'value' => '',
				'desc' => $this->l('Which number should be sent at once. If you want to send all at once leave it empty'),
			),
			array(
				'type' => 'select',
				'label' => $this->l('Between Time:'),
				'name' => 'SENTOALLBETWEENTIME',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Delay Between two sending sms'),
				'options' => array(
					'query' => array(
						array(
							'id' => 5,
							'name' => $this->l('After 5 Minutes')
						),
						array(
							'id' => 15,
							'name' => $this->l('After 15 Minutes')
						),
						array(
							'id' => 30,
							'name' => $this->l('After 30 Minutes')
						),
						array(
							'id' => 60,
							'name' => $this->l('After 1 hour')
						),
						array(
							'id' => 120,
							'name' => $this->l('After 2 hour')
						),
						array(
							'id' => 300,
							'name' => $this->l('After 5 hour')
						),
						array(
							'id' => 1440,
							'name' => $this->l('After 24 hour')
						)
					),
					'id' => 'id',
					'name' => 'name',
				)
			),
		),
		'submit' => array(
			'title' => $this->l('Send to All Customers'),
			'name' => 'sendtoall',
			'icon' => 'process-icon-envelope',
		)
	),
);